'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var antd = require('antd');
var css = _interopDefault(require('styled-components'));

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var AvatarContainer = css('div')(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  display: inline-block;\n  vertical-align: middle;\n  padding: 0px;\n  margin: 0px;\n"], ["\n  position: relative;\n  display: inline-block;\n  vertical-align: middle;\n  padding: 0px;\n  margin: 0px;\n"])));
var AvatarWrapper = css(antd.Avatar)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: block;\n  position: relative;\n  border-radius: 50%;\n  font-family: lato;\n  border: ", ";\n  cursor: pointer;\n  padding: 0px;\n  margin: 0px;\n  width: ", ";\n  height: 100%;\n  background: ", ";\n  color: ", ";\n  .ant-avatar-string {\n    margin: 0px;\n    padding: 0px;\n    left: 0px !important;\n    top: 0px;\n    width: 100%;\n    height: 100%;\n    transform: scale(1) !important;\n  }\n"], ["\n  display: block;\n  position: relative;\n  border-radius: 50%;\n  font-family: lato;\n  border: ", ";\n  cursor: pointer;\n  padding: 0px;\n  margin: 0px;\n  width: ", ";\n  height: 100%;\n  background: ", ";\n  color: ", ";\n  .ant-avatar-string {\n    margin: 0px;\n    padding: 0px;\n    left: 0px !important;\n    top: 0px;\n    width: 100%;\n    height: 100%;\n    transform: scale(1) !important;\n  }\n"])), function (props) { return props.hideBorder ? 'none' : '1px solid #ebebeb'; }, function (props) { return props.size ? props.size + "px" : '100%'; }, function (props) { return props.background; }, function (props) { return props.color; });
var IconContainer = css('div')(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  right: ", ";\n  left: ", ";\n  bottom: -5px;\n"], ["\n  position: absolute;\n  right: ", ";\n  left: ", ";\n  bottom: -5px;\n"])), function (props) { return props.position !== 'left' ? '0px' : 'unset'; }, function (props) { return props.position === 'left' ? '0px' : 'unset'; });
var AvatarText = css('div')(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 100%;\n  height: 100%;\n  overflow: hidden;\n  line-height: ", "px;\n  font-size: ", "px;\n  font-family: Lato-light;\n"], ["\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 100%;\n  height: 100%;\n  overflow: hidden;\n  line-height: ", "px;\n  font-size: ", "px;\n  font-family: Lato-light;\n"])), function (props) { return props.height; }, function (props) { return props.size; });
var AntAvatar = function (props) {
    return (React.createElement(AvatarContainer, { className: props.className, style: { width: props.size, height: props.size, borderRadius: '50%' } },
        React.createElement(AvatarWrapper, { src: props.src, size: props.size, background: props.background, color: props.color, onMouseEnter: props.onMouseEnter, onMouseLeave: props.onMouseLeave, onClick: props.onClick, hideBorder: props.hideBorder },
            React.createElement(AvatarText, { size: props.fontSize, height: props.size }, props.children || props.text)),
        props.icon &&
            React.createElement(IconContainer, { position: props.iconPosition }, props.icon)));
};
AntAvatar.defaultProps = {
    text: '',
    src: '',
    background: '#ffffff',
    color: '#333333',
    className: '',
    size: 40,
    fontSize: 20,
    iconPosition: 'right',
    icon: null,
    hideBorder: false,
    onMouseEnter: function () { },
    onMouseLeave: function () { },
    onClick: function () { },
};
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;

function styleInject(css$$1, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css$$1 || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css$$1;
  } else {
    style.appendChild(document.createTextNode(css$$1));
  }
}

var css$1 = "/*****\n/**** TEXT GYRE\n/****/\n@font-face {\n  font-family: \"TexGyre\";\n  src: url(\"https://storage.googleapis.com/tame-assets/public/fonts/texgyre/texgyreadventor-regular.eot\"),\n  url(\"https://storage.googleapis.com/tame-assets/public/fonts/texgyre/texgyreadventor-regular.ttf\"),\n  url(\"https://storage.googleapis.com/tame-assets/public/fonts/texgyre/texgyreadventor-regular.otf\");\n}\n@font-face {\n  font-family: \"TexGyre-bold\";\n  src: url(\"https://storage.googleapis.com/tame-assets/public/fonts/texgyre/texgyreadventor-bold.eot\"),\n  url(\"https://storage.googleapis.com/tame-assets/public/fonts/texgyre/texgyreadventor-bold.ttf\"),\n  url(\"https://storage.googleapis.com/tame-assets/public/fonts/texgyre/texgyreadventor-bold.otf\");\n}\n\n/*****\n/**** Lato\n/****/\n@font-face {\n  font-family: \"Lato-light\";\n  src: url(\"https://storage.googleapis.com/tame-assets/public/fonts/lato/Lato-Light.ttf\");\n}\n@font-face {\n  font-family: \"Lato\";\n  src: url(\"https://storage.googleapis.com/tame-assets/public/fonts/lato/Lato-Regular.ttf\");\n}\n@font-face {\n  font-family: \"Lato-bold\";\n  src: url(\"https://storage.googleapis.com/tame-assets/public/fonts/lato/Lato-Bold.ttf\");\n}\n";
styleInject(css$1);

/**
 * @class react-my-test-package
 */

exports.default = AntAvatar;
exports.Avatar = AntAvatar;
//# sourceMappingURL=index.js.map
